com.sun.star.uno

## Class Enum

- java.lang.Object
- - com.sun.star.uno.Enum

-     public abstract class Enum
      extends Object

  The Enum class is the base class for all classes generated as java binding for the IDL type enum. Each java mapped enum class provides static member of this class which represents the enum values. You cannot create a object of this class or subclass direct, to avoid enum values with integer values outside the defined range.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Enum(int value)` Constructs a enum value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Get the integer value of an enum value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Enum

          protected Enum(int value)

      Constructs a enum value.

      Parameters:
        `value` - the integer value of this enum value.

  - ### Method Detail

    - #### getValue

          public final int getValue()

      Get the integer value of an enum value.

      Returns:
        the integer value.